{% extends 'hkm/base_browse.html' %}
{% load i18n %}
{% load hkm_tags %}

{% block banner %}

  <div class="page-header white">
    <div class="fullsize-container">
      <div class="banner__title">
        <h1 class="banner__h1">{% trans 'My collections' %}</h1>
      </div>
    </div>
  </div>

{% endblock %}

{% block content %}

  <div class="fullsize-container">

    {% if not collections %}
      <a href="{% url 'hkm_search' %}" class="hkm-btn hkm-btn--default btn btn-default">{% trans 'Add images' %}</a>
    {% endif %}

    <div class="grid flex-images">
      <div class="grid__group item-slider invisible" data-grid-type="collection">
        {% for collection in collections %}
          <div class="grid__item item" data-w="550" data-h="400">
            <a href="{% url 'hkm_collection' collection_id=collection.id %}">
              {% with images=collection|display_images %}
                {% if images|length == 1 %}
                  <div class="grid__item grid__item--collection" style="background-image:url('{{ images.0 }}')"></div>
                {% else %}
                  <div class="sub-grid">
                    {% for image_url in images %}
                      <div class="sub-grid__item" style="background-image:url('{{ image_url }}')"></div>
                    {% endfor %}
                  </div>
                {% endif %}
              {% endwith %}
              <div class="grid__meta">
                <span class="grid__meta--title">{{ collection.title }}</span>
                <span class="grid__meta--other">{{ collection.description|default:"" }}</span>
              </div>
            </a>
          </div>
        {% endfor %}
      </div>
    </div>

  </div> <!-- Container -->

{% endblock %}
